> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/config/data-types/number.md).

# Number

Expects only numbers to be input. This field does allow decimal numbers to be input, up to any number of decimal places.

Performs validation to ensure only numbers are valid input. Honors the `"maxLength"` setting.

| Value Precision | is AllowMultiple respected? | Has validation? |
| --------------- | --------------------------- | --------------- |
| -               | No                          | No              |

### Number Data Type Definition

```json
{
     "fields" : [
     	{
	   "fieldName": "Input Number",
            "label": "input_number",
            "required": false,
            "maxLength": 10000,
            "editable": true,
            "dataType": "Number",
            "allowMultiple": false,
            "listOfValues": []
	},
        ...
    ]
}  
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/config/data-types/number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
